Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERSequence

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Sequence
                  org.bouncycastle.asn1.DERSequence

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  BERSequence

    public class DERSequence

extends ASN1Sequence

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERSequence()` create an empty sequence
`DERSequence(ASN1Encodable[] a)` create a sequence containing an array of objects.
`DERSequence(DEREncodable obj)` create a sequence containing one object
`DERSequence(DEREncodableVector v)` create a sequence containing a vector of objects.

Method Summary

Methods inherited from class org.bouncycastle.asn1.ASN1Sequence
`addObject, equals, getInstance, getInstance, getObjectAt, getObjects, hashCode, size`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDERObject, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERSequence

    public DERSequence()

  create an empty sequence

### DERSequence

    public DERSequence(DEREncodable obj)

  create a sequence containing one object

### DERSequence

    public DERSequence(DEREncodableVector v)

  create a sequence containing a vector of objects.

### DERSequence

    public DERSequence(ASN1Encodable[] a)

  create a sequence containing an array of objects.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.28
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD